import path from 'path'

export default [
	{
		schemaPath: path.resolve(__dirname, './schema/agent.openapi.json'),
		serversPath: './servers',
		requestLibPath: "import request from '@repo/api-client'"
	},
	{
		schemaPath: path.resolve(__dirname, './schema/model.openapi.json'),
		serversPath: './servers/model',
		requestLibPath: "import request from '@repo/api-client'"
	},
	{
		schemaPath: path.resolve(__dirname, './schema/knowledge.openapi.json'),
		serversPath: './servers/knowledge',
		requestLibPath: "import request from '@repo/api-client'"
	},
	{
		schemaPath: path.resolve(__dirname, './schema/resource.openapi.json'),
		serversPath: './servers/resource',
		requestLibPath: "import request from '@repo/api-client'"
	},
	{
		schemaPath: path.resolve(__dirname, './schema/ai.openapi.json'),
		serversPath: './servers/ai-chat',
		requestLibPath: "import request from '@repo/api-client'"
	}
]
